%define dvendor	qlgc
%define vendor %{dvendor}
%define driver_name qlge
%define dist_version	1.00.00.32
%define driver_version	%( echo "%{dist_version}" | tr '-' '_' )
%define dist sles
%define distver 11
%define release	1
%define  BUILD_KERNEL_SPEC %( if [ -z "${BUILD_KERNEL}" ]; then BUILD_KERNEL=`uname -r`; fi; echo "${BUILD_KERNEL}" | cut -d "-" -f -2 )

Summary:      Linux driver for the QLogic QLGE adapter 
Name:         %{vendor}-%{driver_name}
BuildRequires: kernel-source kernel-syms
License:      GPL
Group:        System/Kernel
Version:      %{driver_version}
Release:      %{release}
Vendor:       QLogic Corp.
Source0:      %{driver_name}-%{dist_version}.tgz
URL:           http://www.qlogic.com
Packager:      QLogic Corp.
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%suse_kernel_module_package kdump um
%description
This package contains QLogic %{driver_name} QLGE driver

%package KMP
Summary: Update for QLogic qlge driver
Group: System/Kernel

%description KMP
This package contains a driver update for QLogic qlge driver  

%prep
%setup -n %{driver_name}-%{dist_version}
set -- *
mkdir source
mv "$@" source/
mkdir obj
cd source

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
	rm -rf obj/$flavor
	cp -r source obj/$flavor
	%{__make} -C /usr/src/linux-%{BUILD_KERNEL_SPEC}-obj/%_target_cpu/$flavor modules M=$PWD/obj/$flavor
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates
for flavor in %flavors_to_build; do
	%{__make} -C /usr/src/linux-%{BUILD_KERNEL_SPEC}-obj/%_target_cpu/$flavor modules_install M=$PWD/obj/$flavor
done

%changelog
